fldefs_methcb.h File Reference

This file contains all defines for actual usage. More...

Go to the source code of this file.

## Macros

#define | FLEXT_CALLBACK(M_FUN)
| Set up a method callback with no arguments.
#define | FLEXT_CALLBACK_A(M_FUN)
| Set up a method callback for an anything argument.
#define | FLEXT_CALLBACK_V(M_FUN)
| Set up a method callback for a variable argument list.
#define | FLEXT_CALLBACK_X(M_FUN)
| Set up a method callback for a data package (void *) argument.
#define | FLEXT_CALLBACK_AX(M_FUN)
| Set up a method callback for an anything argument and a data package (e.g. for symbol-bound methods).
#define | FLEXT_CALLBACK_T(M_FUN)
| Set up a timer callback.
#define | FLEXT_CALLBACK_B(M_FUN)
| Set up a method callback for a boolean argument.
#define | FLEXT_CALLBACK_1(M_FUN, TP1)
| Set up a method callback for 1 argument.
#define | FLEXT_CALLBACK_2(M_FUN, TP1, TP2)
| Set up a method callback for 2 arguments.
#define | FLEXT_CALLBACK_3(M_FUN, TP1, TP2, TP3)
| Set up a method callback for 3 arguments.
#define | FLEXT_CALLBACK_4(M_FUN, TP1, TP2, TP3, TP4)
| Set up a method callback for 4 arguments.
#define | FLEXT_CALLBACK_5(M_FUN, TP1, TP2, TP3, TP4, TP5)
| Set up a method callback for 5 arguments.
#define | FLEXT_CALLBACK_F(M_FUN)
| Set up a method callback for 1 float argument.
#define | FLEXT_CALLBACK_FF(M_FUN)
| Set up a method callback for 2 float arguments.
#define | FLEXT_CALLBACK_FFF(M_FUN)
| Set up a method callback for 3 float arguments.
#define | FLEXT_CALLBACK_I(M_FUN)
| Set up a method callback for 1 integer argument.
#define | FLEXT_CALLBACK_II(M_FUN)
| Set up a method callback for 2 integer arguments.
#define | FLEXT_CALLBACK_III(M_FUN)
| Set up a method callback for 3 integer arguments.
#define | FLEXT_CALLBACK_S(M_FUN)
| Set up a method callback for 1 symbol argument.
#define | FLEXT_CALLBACK_G FLEXT_CALLBACK_V

## Detailed Description

This file contains all defines for actual usage.